Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3192 - Don't Print RPM File
Summary: Don't Print RPM File
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rhs-printfilters
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-01 09:59 UTC by ohmori
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-18 16:16:42 UTC


Attachments (Terms of Use)

Description ohmori 1999-06-01 09:59:47 UTC
When print the RPM file (e.g. lpr foo.rpm), Nothing print
out.

But from the document
(/usr/doc/rhs-printfilters-1.53/README)
RPM files can be printed.

> If you have a PostScript printer, or have configured a
print filter
> using Ghostscript, then the following types of files can
be printed
> and they will be converted to PostScript automatically:
>
(snip)
> RPM


------- Email Received From  Norihito Ohmori <ohmori@p.chiba-u.ac.jp> 06/01/99 06:03 -------

Comment 1 Cristian Gafton 1999-06-16 15:42:59 UTC
is this still valid?

assigned to notting.

the patch sent has some security problems, but that would be the
general idea.

Comment 2 Bill Nottingham 1999-06-16 15:46:59 UTC
the fix is to actually fix RPM to work on queries
from standard input again...

Comment 3 Jeff Johnson 1999-06-18 00:24:59 UTC
Here's what works (rpm-3.0.2-0.3 but all rpm-3.0 should be same):

bash$ cat rpm-devel-3.0.2-0.3.sparc.rpm | rpm -qp -- -
rpm-devel-3.0.2-0.3
Broken pipe
krusty:/D/6.1/sparc 776 bash$

Comment 4 Bill Nottingham 1999-06-18 16:16:59 UTC
fixed in rhs-printfilters-1.55


Note You need to log in before you can comment on or make changes to this bug.